Annotation of wikisrc/pkgsrc/monitoring_package_versions.mdwn, revision 1.1

1.1     ! mspo        1: A good method of knowing when you have out of date packages is to use the utility lintpkgsrc, which can be [[Installing a package with pkgsrc]] installed from pkgtools/lintpkgsrc. Once it is installed use it to check installed packages for newer available versions:
        !             2: 
        !             3:     lintpkgsrc -i
        !             4:     Scan Makefiles: ................
        !             5:     Version mismatch: 'dummy' 5.1 vs 5.2
        !             6:     Version mismatch: 'other_package' 2.5a vs 2.5b
        !             7: 
        !             8: The results are simple: outdated-package-name currently-installed-version -vs- currently-supported-version
        !             9: See also
        !            10: 
        !            11: [[pkg_chk]]

CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb